Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.IO.IO Class Reference

## Static Public Member Functions
static void | Create (string path)
static bool | IsDirectory (string path)
static bool | Exists (string path)
static bool | Exists (FileSystemEntry entry)
static void | Clean (string path)
static void | Clean (FileSystemEntry entry)
static void | Move (string sourcePath, string destinationPath)
static void | Move (string sourcePath, FileSystemEntry destinationEntry)
static void | Move (FileSystemEntry sourceEntry, FileSystemEntry destinationEntry)
static void | Move (FileSystemEntry sourceEntry, string destinationPath)
static void | Copy (string sourcePath, string destinationPath)
static void | Copy (string sourcePath, FileSystemEntry destinationEntry)
static void | Copy (FileSystemEntry sourceEntry, FileSystemEntry destinationEntry)
static void | Copy (FileSystemEntry sourceEntry, string destinationPath)
static void | Delete (string path)
static void | Delete (FileSystemEntry entry)
static bool | PathEquals (string path1, string path2)
static string | FixPath (string path, char directorySeparatorChar)
static string | GetNewTempFolder (string tempPath)
static string | GetNewTempFolder (FileSystemEntry tempEntry)
static int | GetPathDepth (string path)
static int | GetPathDepth (FileSystemEntry entry)
static string | GetRelativePath (string filename, string baseDirectory)
static FileSystemEntry | GetFileSystemEntry (string path, string relativeDirectory)
static IEnumerable< FileSystemEntry > | GetFileSystemEntries (string directory, string relativeDirectory, string searchPattern)
static string[] | GetMatchingFileSystemEntries (string directory, string entryPattern)

## Static Private Member Functions
static int | CountStringOccurrences (string text, char pattern)
static int | CountStringOccurrences (string text, string pattern)

## Member Function Documentation

## ◆ Clean() [1/2]

void Zwipe.Build.Tools.IO.IO.Clean | ( | FileSystemEntry | entry | ) |
| static

Here is the call graph for this function:

## ◆ Clean() [2/2]

void Zwipe.Build.Tools.IO.IO.Clean | ( | string | path | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Copy() [1/4]

void Zwipe.Build.Tools.IO.IO.Copy | ( | FileSystemEntry | sourceEntry,
|  | FileSystemEntry | destinationEntry )
| static

Here is the call graph for this function:

## ◆ Copy() [2/4]

void Zwipe.Build.Tools.IO.IO.Copy | ( | FileSystemEntry | sourceEntry,
|  | string | destinationPath )
| static

Here is the call graph for this function:

## ◆ Copy() [3/4]

void Zwipe.Build.Tools.IO.IO.Copy | ( | string | sourcePath,
|  | FileSystemEntry | destinationEntry )
| static

Here is the call graph for this function:

## ◆ Copy() [4/4]

void Zwipe.Build.Tools.IO.IO.Copy | ( | string | sourcePath,
|  | string | destinationPath )
| static

Here is the caller graph for this function:

## ◆ CountStringOccurrences() [1/2]

int Zwipe.Build.Tools.IO.IO.CountStringOccurrences | ( | string | text,
|  | char | pattern )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CountStringOccurrences() [2/2]

int Zwipe.Build.Tools.IO.IO.CountStringOccurrences | ( | string | text,
|  | string | pattern )
| static private

## ◆ Create()

void Zwipe.Build.Tools.IO.IO.Create | ( | string | path | ) |
| static

## ◆ Delete() [1/2]

void Zwipe.Build.Tools.IO.IO.Delete | ( | FileSystemEntry | entry | ) |
| static

Here is the call graph for this function:

## ◆ Delete() [2/2]

void Zwipe.Build.Tools.IO.IO.Delete | ( | string | path | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Exists() [1/2]

bool Zwipe.Build.Tools.IO.IO.Exists | ( | FileSystemEntry | entry | ) |
| static

Here is the call graph for this function:

## ◆ Exists() [2/2]

bool Zwipe.Build.Tools.IO.IO.Exists | ( | string | path | ) |
| static

Here is the caller graph for this function:

## ◆ FixPath()

string Zwipe.Build.Tools.IO.IO.FixPath | ( | string | path,
|  | char | directorySeparatorChar )
| static

Here is the caller graph for this function:

## ◆ GetFileSystemEntries()

IEnumerable< FileSystemEntry > Zwipe.Build.Tools.IO.IO.GetFileSystemEntries | ( | string | directory,
|  | string | relativeDirectory,
|  | string | searchPattern )
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetFileSystemEntry()

FileSystemEntry Zwipe.Build.Tools.IO.IO.GetFileSystemEntry | ( | string | path,
|  | string | relativeDirectory )
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetMatchingFileSystemEntries()

string[] Zwipe.Build.Tools.IO.IO.GetMatchingFileSystemEntries | ( | string | directory,
|  | string | entryPattern )
| static

## ◆ GetNewTempFolder() [1/2]

string Zwipe.Build.Tools.IO.IO.GetNewTempFolder | ( | FileSystemEntry | tempEntry | ) |
| static

Here is the call graph for this function:

## ◆ GetNewTempFolder() [2/2]

string Zwipe.Build.Tools.IO.IO.GetNewTempFolder | ( | string | tempPath | ) |
| static

Here is the caller graph for this function:

## ◆ GetPathDepth() [1/2]

int Zwipe.Build.Tools.IO.IO.GetPathDepth | ( | FileSystemEntry | entry | ) |
| static

Here is the call graph for this function:

## ◆ GetPathDepth() [2/2]

int Zwipe.Build.Tools.IO.IO.GetPathDepth | ( | string | path | ) |
| static

Here is the caller graph for this function:

## ◆ GetRelativePath()

string Zwipe.Build.Tools.IO.IO.GetRelativePath | ( | string | filename,
|  | string | baseDirectory )
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsDirectory()

bool Zwipe.Build.Tools.IO.IO.IsDirectory | ( | string | path | ) |
| static

Here is the caller graph for this function:

## ◆ Move() [1/4]

void Zwipe.Build.Tools.IO.IO.Move | ( | FileSystemEntry | sourceEntry,
|  | FileSystemEntry | destinationEntry )
| static

Here is the call graph for this function:

## ◆ Move() [2/4]

void Zwipe.Build.Tools.IO.IO.Move | ( | FileSystemEntry | sourceEntry,
|  | string | destinationPath )
| static

Here is the call graph for this function:

## ◆ Move() [3/4]

void Zwipe.Build.Tools.IO.IO.Move | ( | string | sourcePath,
|  | FileSystemEntry | destinationEntry )
| static

Here is the call graph for this function:

## ◆ Move() [4/4]

void Zwipe.Build.Tools.IO.IO.Move | ( | string | sourcePath,
|  | string | destinationPath )
| static

Here is the caller graph for this function:

## ◆ PathEquals()

bool Zwipe.Build.Tools.IO.IO.PathEquals | ( | string | path1,
|  | string | path2 )
| static

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/IO/IO.cs